#include<stdio.h>
int main()
{
    int N,i,q,A;
    scanf("%d", &N);
//    int res = N;
    int chocolate[N][2];
    for(i = 0;i < N;i++)
    {
        scanf("%d", &A);
        chocolate[i][0] = A;
    }
    for(i = 0;i < N;i++)
    {
        scanf("%d", &A);
        chocolate[i][1] = A;
    }
    int pair = 0;
    for(i = 0;i < N;i++)
    {
        for(q = 0;q < N;q++)
        {
            if(chocolate[i][0]==chocolate[q][1])
            {
                pair = 1;
                while(chocolate[i+1][0]==chocolate[q+1][1])
                {
                    pair++;
                    i++;
                    q++;
                }
                printf("1000\n");
                return 0;
            }
        }
    }
    printf("%d\n",N);
    return 0;
}
